Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6807 - Pump does not connect to cable modem network
Summary: Pump does not connect to cable modem network
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-08 00:53 UTC by dlcraig
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-13 14:39:06 UTC


Attachments (Terms of Use)

Description dlcraig 1999-11-08 00:53:52 UTC
Pump does not start-up dhcp client with hostname parameter.
Since pump but not dhcpcd is loaded by a default Red Hat
installation, it is very difficult for the novice linux user
to configure Red Hat 6.1 with cable modem connected to @home
 network.  With the default installation eth0 always FAILED
during bootup after waiting for an enormously long time-out
period.  I had to remove pump and install a simple shell
script to get my dhcp working the @home network using
dhcpcd.   I also had to perform an ifconfig with a unique
netmask assignment.  Here is the shell script I used:

#!/bin/sh
ifconfig eth0 <hostname> netmask 255.255.255.0 broadcast
24.5.5.255 up
/sbin/dhcpcd -h <hostname> &

I called this file mydhcp and I created the following link:
ln -s /sbin/mydhcp /sbin/pump
The 24.x.x.x network defaults to a 255.0.0.0 netmask.  And
@home requires a "hostname" to access the network.  Of
course, San Diego's cox@home "doesn't "support" linux
configurations.

This was reported to Red Hat support as Reference #:
991015-0068, but was referred to submit this bug report.

The last support mail I received said this:

"Good afternoon,
My name is Marty and I am a Level 2 technician. I did some
looking and asking concerning pump's behavior, and I haven't
found any known issues that fit this situation.

I urge you to please open a bug report describing the
initial problem and the workaround so that our developers
(who wrote pump) can address the issue.
I apologize that we cannot find a better solution. This may
be an isolated case, since there are no existing bug
reports, but it certainly doesn't mean you're the only one
with the problem.
I am closing this incident.
Thank you,
Marty"

So here is the bug report.  I hope you are able to develop a
better fix for pump rather just disabling it.  I noticed
that even in the mini-DHCP HOW-TO pump is not used for dhcp
client either.  Does it have to be this way?  If you do
an Internet search on (@home, dhcp, and linux) you will find
a lot of cable modem users are having problems with pump.
Good luck, and let me know how it turns out.  Thanks!

(If you do not have access to the Red Hat incident report
just e-mail me and I will be happy to forward the transcript
of our entire incident report).

Best Regards,
Doug Craig
UNIX System Administrator
dlcraig@home.com

Comment 1 Matthew Miller 2000-02-10 21:52:59 UTC
I have this exact same problem with MediaOne/RoadRunner cable internet, and with
some of the DHCP servers at Boston University. It's definitely not an isolated
case.

Comment 2 Erik Troan 2000-02-13 14:39:59 UTC
could you test this with pump-0.7.6? I think I have all the hostname stuff
worked out now, and the new release seems to have helped many folks.

ftp://people.redhat.com/ewt/pump0.7.6/

If this doesn't fix the problem, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.